#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	LXTerminal is the standard terminal emulator of LXDE
Name:		lxterminal
Version:	0.2.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	e80ad1b6e26212f3d43908c2ad87ba4d
Patch0:		wordseps.patch
URL:		http://wiki.lxde.org/en/LXTerminal
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-tools
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 1:2.18.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
%{?with_gtk3:BuildRequires:	vte-devel}
%{?with_gtk2:BuildRequires:	vte0-devel}
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXTerminal is the standard terminal emulator of LXDE.

%prep
%setup -q
%patch0 -p1
%{__sed} -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,' configure.ac

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK
# unsupported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/frp

mv $RPM_BUILD_ROOT%{_localedir}/tt{_RU,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/lxterminal.1*
%{_desktopdir}/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/lxterminal.png
%changelog
* Mon Jul 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxterminal.git;a=log;h=master

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> 53e36d6
- up to 0.2.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c5dea6a
- updated gettext BR

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> c26e60c
- update links to other terminals

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 5f25e09
- correct url

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> a5972cf
- include @ into wordseps

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> e20ef62
- automake fix

* Mon Feb 25 2013 Elan Ruusamäe <glen@delfi.ee> 339892b
- fix typo in wordseps patch; disable silent rules

* Sat Apr 21 2012 Elan Ruusamäe <glen@pld-linux.org> 391aa0c
- setup word separators to select urls

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> 678897b
- tt_RU already supported, dir renamed, rel. 3, STBR

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 9ac2c8b
- locale fix

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 930ee48
- up to 0.1.11, added gtk3 bcond

* Thu Sep 02 2010 Elan Ruusamäe <glen@pld-linux.org> 19dddc5
- autoup to 0.1.9

* Fri Jul 30 2010 Karol Krenski <charles@pld-linux.org> 9f32fd1
- BR: autoconf, automake, intltool, libtool

* Fri Jul 30 2010 Elan Ruusamäe <glen@pld-linux.org> 6e7128b
- do not package empty translations

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 6635ad0
- up to 0.1.8

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 2cdee7d
- BR: pkgconfig and vte-devel
- rel 1

* Mon May 31 2010 Zsolt Udvari <uzsolt@pld-linux.org> 7beab2a
- initial

